FreeMat

- Main Page
- Related Pages

vtkTulipReader

Section: Visualization Toolkit Infovis Classes

# Usage

vtkTulipReader reads in files in the Tulip format. Definition of the Tulip file format can be found online at: http://tulip.labri.fr/tlpformat.php An example is the following `(nodes 0 1 2 3 4 5 6 7 8 9) (edge 0 0 1) (edge 1 1 2) (edge 2 2 3) (edge 3 3 4) (edge 4 4 5) (edge 5 5 6) (edge 6 6 7) (edge 7 7 8) (edge 8 8 9) (edge 9 9 0) (edge 10 0 5) (edge 11 2 7) (edge 12 4 9)` where "nodes" defines all the nodes ids in the graph, and "edge" is a triple of edge id, source vertex id, and target vertex id. The graph is read in as undirected graph. NOTE: This currently only supports reading connectivity information. Display information is discarded.

To create an instance of class vtkTulipReader, simply invoke its constructor as follows

      obj = vtkTulipReader

# Methods

The class vtkTulipReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkTulipReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkTulipReader = obj.NewInstance ()`
- `vtkTulipReader = obj.SafeDownCast (vtkObject o)`
- `string = obj.GetFileName ()` - The Tulip file name.
- `obj.SetFileName (string )` - The Tulip file name.